/*
* $LastChangedBy$
* $LastChangedDate$
* $LastChangedRevision$
* $HeadURL$
*
* Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
*/

import Foundation

@objc public class UpdateValuesEvent: Event {

    private var _values: [String]
    @objc public var values: [String] {
        return self._values
    }

    private var _selector: String?
    @objc public var selector: String {
        return self._selector ?? ""
    }

    @objc public init(values: [String]) {
        self._values = values
    }

    @objc public init(selector: String, values: [String]) {
        self._values = values
        self._selector = selector
    }
}
